function maskIt(e, a, i, t, r) {
    if (!a) var a = window.event;
    a.keyCode ? code = a.keyCode : a.which && (code = a.which);
    var o = t ? e.value.replace(/[^\d]+/gi, "").reverse() : e.value.replace(/[^\d]+/gi, ""),
	n = t ? i.reverse() : i,
	c = r ? r.pre : "",
	p = r ? r.pos : "",
	d = "";
    if (9 == code || 8 == code || o.length == n.replace(/[^#]+/g, "").length) return 0;
    for (var u = 0, s = 0, l = n.length; l > u && s < o.length;) "#" != n.charAt(u) ? (d += n.charAt(u), u++) : (d += o.charAt(s), s++, u++);
    d = t ? d.reverse() : d, e.value = c + d + p
}
app.initialize();

var appversion = "0.4.4";
var appnome = "com.cpfcnpj.consultar";

function cpfcnpj()
{
	if (AdMob)
	{
		var ad_units = {
			ios : {
				banner: 'ca-app-pub-7075634274678445/7203409015',
				interstitial: 'ca-app-pub-7075634274678445/8680142214'
			},
			android : {
				banner: 'ca-app-pub-7075634274678445/4110341817',
				interstitial: 'ca-app-pub-7075634274678445/5587075014'
			},
			wp8 : {
				banner: 'ca-app-pub-7075634274678445/1017274610',
				interstitial: 'ca-app-pub-7075634274678445/2494007812'
			}
		};
		var admobid = "";
		if( /(android)/i.test(navigator.userAgent) ) {
				admobid = ad_units.android;
			} else if(/(iphone|ipad)/i.test(navigator.userAgent)) {
				admobid = ad_units.ios;
			} else {
				admobid = ad_units.wp8;
		}
		AdMob.setOptions( {
			license: "contato@cpfcnpj.com.br/7faffb811ea7c5d91c86f7b540d34f7e",
			publisherId: admobid.banner,
			interstitialAdId: admobid.interstitial,
			bannerAtTop: false, // set to true, to put banner at top
			overlap: false, // set to true, to allow banner overlap webview
			offsetTopBar: false, // set to true to avoid ios7 status bar overlap
			isTesting: false, // receiving test ad
			autoShow: false // auto show interstitial ad when loaded
		});
		AdMob.prepareInterstitial({adId: admobid.interstitial, autoShow:false});
		AdMob.createBanner({adId: admobid.banner, adSize: "SMART_BANNER", position: 8, autoShow: true, autoShow:true});
		
		AdMob.createBannerView();
	}
	jQuery("#detalhes").html("com.cpfcnpj.consultar" == appnome ? "Versão Grátis. " + appversion : "Versão Paga - Ilimitada. " + appversion);
}

function consultar(e)
{
	jQuery(".formulario").slideUp(0);
	jQuery("#resultado").slideDown(0);
	jQuery("#fisica").slideUp(0);
	jQuery("#erro").html("");
	
	AdMob.showInterstitial();
	
    if (11 == e.length)
	{
		navigator.notification.activityStart("CPF.CNPJ", "Consultando. Aguarde...");
        if ("none" == navigator.connection.type)
		{
			navigator.notification.activityStop();
			jQuery("#erro").html("Por favor, verifique sua conexão com a internet antes de realizar consultas.");
		}
        else
		{
            $.ajax({
                url: "https://www.cpfcnpj.com.br/datamobcheck.php",
                type: "POST",
                data: {
                    dTa_cpfcnpj: e,
                    dTa_uuid: device.uuid,
                    dTa_appnome: appnome,
                    dTa_versaoultiapp: appversion,
                    dTa_model: device.model
				},
                dataType: "json",
                timeout: 20000,
                success: function(a) 
				{
					navigator.notification.activityStop();
					
					if(1 == a.status)
					{						
						jQuery(".consultas").html(a.consultas);
						jQuery("#expira").html(a.expira);
						
						if(11 == e.length)
						{
							jQuery("#fisica").slideDown(0);
							
							if(a.genero == 'M')
								a.genero = "Masculino";
							else
								a.genero = "Feminino";
							
							jQuery("#fisica_cpf").html(a.cpf);
							jQuery("#fisica_genero").html(a.genero);
							jQuery("#fisica_nome").html(a.nome);
							jQuery("#fisica_mae").html(a.mae);
							jQuery("#fisica_nascimento").html(a.nascimento);
							
						}
					}
					else if(0 == a.status)
					{
						jQuery("#erro").html(a.erro);
					}
				},
                error: function(f, a, c)
				{
                    navigator.notification.activityStop();
					jQuery("#erro").html("timeout" == a ? "Limite de tempo esgotado. Verifique sua conexão e tente novamente." : "Falha na consulta!<br>Tente novamente em alguns minutos. Caso persista, entre em contato pelo: contato@cpfcnpj.com.br")
				}
			});
		}
	}
	else
	{
		navigator.notification.activityStop();
		jQuery("#erro").html("Informe um CPF com 11 dígitos!");
	}
}